package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsDeviceMaintenance;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0设备维护登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsDeviceMaintenanceService extends IService<JsDeviceMaintenance> {

    AjaxResult add(JsDeviceMaintenance deviceMaintenance);

    AjaxResult edit(JsDeviceMaintenance deviceMaintenance);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String deviceNum, String deviceName);

    AjaxResult listAll();
}
